<?php

require_once ("../../config/Cado.php");

require_once("cEmpresa.php");

$oEmpresa = new cEmpresa();



if($_POST['action']=="insertar")

{



	if(!empty($_POST['txt_emp_nomcom']))

	{

		$nombrecomercial =  addslashes($_POST['txt_emp_nomcom']);

		$razonsocial =  addslashes($_POST['txt_emp_razsoc']);

		$direccion =  addslashes($_POST['txt_emp_dir']);

		$direccion2 =  addslashes($_POST['txt_emp_dir2']); 

		$oEmpresa->insertar($_POST['txt_emp_ruc'], $nombrecomercial, $razonsocial,$direccion, $direccion2 , $_POST['txt_emp_tel'], $_POST['txt_emp_ema'], $_POST['txt_emp_rep'], $_POST['txt_emp_fir']);

		echo 'Se registró empresa correctamente.';

	}

	else

	{

		echo 'Intentelo nuevamente.';

	}

}



if($_POST['action']=="editar")

{

	if(!empty($_POST['txt_emp_nomcom']))

	{

		$nombrecomercial =  addslashes($_POST['txt_emp_nomcom']);

		$razonsocial =  addslashes($_POST['txt_emp_razsoc']);

		$direccion =  addslashes($_POST['txt_emp_dir']);

		$direccion2 =  addslashes($_POST['txt_emp_dir2']); 

		$oEmpresa->modificar($_POST['hdd_emp_id'], $_POST['txt_emp_ruc'], $nombrecomercial, $razonsocial,$direccion,$direccion2, $_POST['txt_emp_tel'], $_POST['txt_emp_ema'], $_POST['txt_emp_rep'], $_POST['txt_emp_fir']);

		echo 'Se modifico la empresa correctamente.';

	}

	else

	{

		echo 'Intentelo nuevamente.';

	}

}









if($_POST['action']=="eliminar")

{

	if(!empty($_POST['id']))

	{

		

		/*$oEmpresa->modificar_campo($_POST['id'],'xac','0');

		echo 'Se envió a la papelera correctamente.';*/



		echo 'Requiere de un Administrador para [ ELIMINAR ] una empresa.';

		

	}



	else

	{

		echo 'Intentelo nuevamente.';

	}

}













if($_POST['action']=="consultar_dato_empresa"){			

	$rs = $oEmpresa->consultar_dato_formula($_POST['ide']);

	$dt = mysql_fetch_array($rs);

	$dato = $dt['tb_empresa_dat'];

	mysql_free_result($rs);

	$data['dato'] = $dato;

	echo json_encode($data);

}



?>